package serializable;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;

public class Principal2 {
    /* Criando um vetor de tamanho 2 */

    String toSave = "Informação em texto puro a ser salva.";

    public void salvarEmDisco() {
        try {
            OutputStream os = new FileOutputStream("meusDados.txt");
            OutputStreamWriter osw = new OutputStreamWriter(os);
            BufferedWriter bw = new BufferedWriter(osw);
            bw.write("Info: "+ this.toSave);
            bw.close();
        } catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
        }
    }

    public void lerDoDisco() {
        try {
            InputStream is = new FileInputStream("meusDados.txt");
            //InputStream is = System.in;
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String s = br.readLine(); // primeira linha
            while (s != null) {
                System.out.println(s);
                s = br.readLine();
            }
            br.close();            
        }catch(java.io.FileNotFoundException FNE){
            System.out.println("Arquivos não encontrado!");
        }
        catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
        }
    }

    public static void main(String[] args) {
        Principal2 p = new Principal2();
        System.out.println("Chamando salvarEmDisco.");
        p.salvarEmDisco();
        System.out.println("Chamando lerDoDisco.");
        p.lerDoDisco();
    }
}//fim da classe
